<script setup lang="ts">
import BillList from "@/components/Bill/BillList.vue";
import CartList from "@/components/Cart/CartList.vue";
import { ref } from "vue";
const cart = ref([
  { name: "ข้าวกะเพราหมูสับ", quantity: "2", price: "90.00" },
  { name: "ข้าวกะเพราหมูสับ ไม่เผ็ด", quantity: "1", price: "45.00" },
  { name: "ผัดผักรวม", quantity: "1", price: "40.00" },
  { name: "น้ำเปล่า", quantity: "4", price: "40.00" },
]);

const bill = ref([
  { total: "ยอดรวม", prices: "215.00" },
  { total: "ได้รับเงิน", prices: "300.00" },
  { total: "เงินทอน", prices: "85.00" },
]);
</script>

<template>
  <div>
    <v-row>
      <h1 style="font-size: 60px">No. โต๊ะ</h1>
      <v-col cols="12" sm="3">
        <v-select
          :items="[
            '1',
            '2',
            '3',
            '4',
            '5',
            '6',
            '7',
            '8',
            '9',
            '10',
            '11',
            '12',
          ]"
          label="Number of Table"
          required
        ></v-select>
      </v-col>
    </v-row>
  </div>
  <v-container grid-list-xs>
    <v-row>
      <v-col cols="7">
        <v-table>
          <CartList></CartList>
        </v-table>
      </v-col>
      <v-col cols="5">
        <BillList></BillList>
        <v-card height="550px" justify-center color="#DED4F7">
          <v-row justify="center" style="margin-left: 5px; padding-top: 15px">
            <span class="text" style="font-size: 30px"
              >-* อิ่มอร่อยต่อยกับเชฟ *-</span
            >
          </v-row>
          <v-row justify="center" style="margin-left: 5px">
            <span class="text">พนักงาน : วันดี ไม่มีคลิปเรียน</span>
          </v-row>
          <v-row justify="center" style="margin-left: 5px">
            <span class="text">โต๊ะ : 4</span>
          </v-row>
          <v-row justify="center" style="margin-left: 5px">
            <span class="text">Tel : 099-999-6956</span>
          </v-row>
          <v-card-item>
            <v-table height="200px" color="#F8FFA6">
              <thead>
                <tr>
                  <th class="text-center" style="font-weight: bolder">
                    รายการ
                  </th>
                  <th class="text-center" style="font-weight: bolder">จำนวน</th>
                  <th class="text-center" style="font-weight: bolder">ราคา</th>
                </tr>
              </thead>
              <tbody v-for="item of cart" :key="item.name">
                <tr>
                  <td class="text-center">{{ item.name }}</td>
                  <td class="text-center">{{ item.quantity }}</td>
                  <td class="text-center">{{ item.price }}</td>
                  <td class="text-center"></td>
                </tr>
              </tbody>
            </v-table>
          </v-card-item>
          <v-card-item>
            <v-table height="160px" color="#F8FFA6">
              <tbody v-for="item of bill" :key="item.total">
                <tr>
                  <td></td>
                  <td class="text-center">{{ item.total }}</td>
                  <td></td>
                  <td class="text-center">{{ item.prices }}</td>
                  <td class="text-center"></td>
                </tr>
              </tbody>
            </v-table>
          </v-card-item>
          <v-row justify="center" style="margin-left: 5px; padding-top: 15px">
            <span class="font-italic"
              >|: Powered by : Jelly-soft Thailand :|</span
            >
          </v-row>
        </v-card>
        <v-card>
          <v-row class="justify-center">
            <v-btn
              class="ma-8"
              style="
                width: 120px;
                height: 50px;
                background-color: #80d8ff;
                font-weight: bolder;
              "
              >พิมพ์ใบเสร็จ</v-btn
            >
            <v-btn
              class="ma-8"
              style="
                width: 120px;
                height: 50px;
                background-color: #aed581;
                font-weight: bolder;
              "
              >ปิดบิล</v-btn
            >
            <v-btn
              class="ma-8"
              style="
                width: 120px;
                height: 50px;
                background-color: #e57373;
                font-weight: bolder;
              "
              >ยกเลิกบิล</v-btn
            >
          </v-row>
        </v-card>
      </v-col>
    </v-row>
    <v-footer> </v-footer>
  </v-container>
</template>

<style scoped>
.text {
  font-size: 18px;
  text-align: center;
}
</style>
